<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Task 51.20 Add Pet</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet"
    href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
</head>

<body class="hold-transition sidebar-mini">
  <!-- Site wrapper -->
  <div class="wrapper">
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="index3.html" class="nav-link">Home</a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="#" class="nav-link">Contact</a>
        </li>
      </ul>


    </nav>
    <!-- /.navbar -->

    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">
      <!-- Brand Logo -->
      <a href="admin.html" class="brand-link">
        <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
          style="opacity: .8">
        <span class="brand-text font-weight-light">Task 51.20</span>
      </a>

      <!-- Sidebar -->
      <div class="sidebar">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
          <div class="image">
            <img src="dist/img/user2-160x160.jpg" class="img-circle elevation-2" alt="User Image">
          </div>
          <div class="info">
            <a href="#" class="d-block">Baodtg</a>
          </div>
        </div>
        <!-- Sidebar Menu -->
        <nav class="mt-2">
          <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
            <li class="nav-item menu-open">
              <a href="#" class="nav-link active">
                <i class="nav-icon fas fa-tachometer-alt"></i>
                <p>
                  Dashboard
                  <i class="right fas fa-angle-left"></i>
                </p>
              </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="admin.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Admin</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="addPets.html" class="nav-link active">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Add Pets</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="editPets.html" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Edit Pets</p>
                  </a>
                </li>
              </ul>
            </li>
          </ul>
        </nav>
        <!-- /.sidebar-menu -->
      </div>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <div class="container-fluid">
          <div class="row mb-2">
            <div class="col-sm-6">
              <h1>Add Pet</h1>
            </div>
            <div class="col-sm-6">
              <ol class="breadcrumb float-sm-right">
                <li class="breadcrumb-item"><a href="#">Home</a></li>
                <li class="breadcrumb-item active">Blank Page</li>
              </ol>
            </div>
          </div>
        </div><!-- /.container-fluid -->
      </section>

      <!-- Main content -->
      <section class="content">
        <div class="card card-primary">
          <div class="card-header">
            <h3 class="card-title">Add pet form</h3>
          </div>
          <!-- /.card-header -->
          <!-- form start -->
          <form id="add-pet-form">
            <div class="card-body">
              <div class="form-group">
                <label for="select-pet-type">Pet type</label>
                <select name="selectPetType" class="form-control" id="select-pet-type">
                  <option value="0">Chosse Pet Type</option>
                  <option value="Cat">Cat</option>
                  <option value="Dog">Dog</option>
                  <option value="Bird">Bird</option>
                  <option value="Fish">Fish</option>
                  <option value="Rabbit">Rabbit</option>
                </select>
              </div>
              <div class="form-group">
                <label for="inp-pet-name">Pet name</label>
                <input type="text" class="form-control" id="inp-pet-name" placeholder="Pet's name">
              </div>
              <div class="form-group">
                <label for="inp-pet-des">Pet description</label>
                <input type="text" class="form-control" id="inp-pet-des" placeholder="Pet's description">
              </div>
              <div class="form-group">
                <label for="inp-pet-photo">Pet photo</label>
                <input type="text" class="form-control" id="inp-pet-photo" placeholder="Pet's photo">
              </div>
              <div class="form-group">
                <label for="inp-pet-price">Pet price</label>
                <input type="text" class="form-control" id="inp-pet-price" placeholder="Pet's price">
              </div>
              <div class="form-group">
                <label for="inp-pet-discount-price">Promotion price</label>
                <input type="text" class="form-control" id="inp-pet-discount-price" placeholder="Pet's discount price">
              </div>
              <div class="form-group">
                <label for="inp-discount-percent">Discount Percent</label>
                <input type="text" class="form-control" id="inp-discount-percent" placeholder="Discount percent">
              </div>

            </div>
            <!-- /.card-body -->

            <div class="card-footer">
              <button type="submit" class="btn btn-primary" id="btn-add-pet">Add pet</button>
            </div>
          </form>
        </div>
      </section>
      <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    <footer class="main-footer">
      <div class="float-right d-none d-sm-block">
        <b>Version</b> 3.2.0
      </div>
      <strong>Copyright &copy; 2014-2021 <a href="https://adminlte.io">AdminLTE.io</a>.</strong> All rights reserved.
    </footer>

    <!-- Control Sidebar -->
    <aside class="control-sidebar control-sidebar-dark">
      <!-- Control sidebar content goes here -->
    </aside>
    <!-- /.control-sidebar -->
  </div>
  <!-- ./wrapper -->

  <!-- jQuery -->
  <script src="plugins/jquery/jquery.min.js"></script>
  <!-- Bootstrap 4 -->
  <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/adminlte.min.js"></script>
  <!-- SweetAlert2 -->
  <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
  <!-- Toastr -->
  <script src="plugins/toastr/toastr.min.js"></script>

</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  var gBASE_URL = "https://pucci-mart.onrender.com/api";

  var gPetDataAddObj = {
    type: "",
    name: "",
    description: "",
    imageUrl: "",
    price: 0,
    promotionPrice: 0,
    discount: 0
  }
  var Toast = Swal.mixin({
    toast: true,
    position: 'top-end',
    showConfirmButton: false,
    timer: 3000
  });
  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
  $(document).ready(function () {
    $("#add-pet-form").on("submit", function (event) {
      event.preventDefault();
      //B1: read data
      readPetAddData(gPetDataAddObj);
      //B2: validate data
      var dataValid = validate(gPetDataAddObj);
      if (dataValid) {
        //B3:
        callApiToCreateNewPet(gPetDataAddObj);
      }
    });
    $(".swal2-actions").on("click", ".swal2-confirm", function () {
      console.log("ok")
      // window.location.href = "admin.html"
    })
  });

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */




  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //B1: read data
  function readPetAddData(paramPetAddObj) {
    paramPetAddObj.type = $.trim($("#select-pet-type").val())
    paramPetAddObj.name = $.trim($("#inp-pet-name").val())
    paramPetAddObj.description = $.trim($("#inp-pet-des").val())
    paramPetAddObj.imageUrl = $.trim($("#inp-pet-photo").val())
    paramPetAddObj.price = parseInt($.trim($("#inp-pet-price").val()))
    paramPetAddObj.promotionPrice = parseInt($.trim($("#inp-pet-discount-price").val()))
    paramPetAddObj.discount = parseInt($.trim($("#inp-discount-percent").val()))
  };

  //B2: validate data
  function validate(paramPetAddObj) {
    if (paramPetAddObj.type == 0) {
      Toast.fire({
        icon: 'warning',
        title: 'Hãy chọn loại thú cưng!'
      });

      return false
    };
    if (paramPetAddObj.name == "") {
      Toast.fire({
        icon: 'warning',
        title: 'Hãy nhập tên thú cưng!'
      });
      return false
    };
    if (paramPetAddObj.description == "") {
      Toast.fire({
        icon: 'warning',
        title: 'Hãy nhập miêu tả thú cưng!'
      });
      return false
    };
    if (paramPetAddObj.imageUrl == "") {
      Toast.fire({
        icon: 'warning',
        title: 'Hãy link ảnh thú cưng!'
      });
      return false
    };
    if (isNaN(paramPetAddObj.price)) {
      Toast.fire({
        icon: 'warning',
        title: 'Giá thú cưng phải là 1 số!'
      });
      return false
    };
    if (isNaN(paramPetAddObj.promotionPrice)) {
      Toast.fire({
        icon: 'warning',
        title: 'Giá giảm thú cưng phải là 1 số!'
      });
      return false
    };

    return true
  }
  //B3: hàm call api to create new pet
  function callApiToCreateNewPet(paramPetAddObj) {
    $.ajax({
      type: 'POST',
      headers: {
        "Content-Type": "application/json"
      },
      url: gBASE_URL + '/pets',
      dataType: 'json',
      data: JSON.stringify(paramPetAddObj),
      success: function (paramRes) {
        console.log(paramRes);
        handleAddPet(paramRes)

      },
      error: function (error) {
        console.log(error.responseText);
      }
    })
  };
  //B4: handle add pet
  function handleAddPet(paramData) {
    Swal.fire(
      `Thêm mới thú cưng tên: ${paramData.name} thành công`,
      `You clicked the button!`,
      `success`,
    );

  }
</script>

</html>